package ru.kolevatykh.spring.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-04-15T00:02:39.826+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.spring.kolevatykh.ru/", name = "ITaskEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ITaskEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTaskByNameRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTaskByNameResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTaskByName/Fault/Exception")})
    @RequestWrapper(localName = "findTaskByName", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTaskByName")
    @ResponseWrapper(localName = "findTaskByNameResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTaskByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findTaskByName(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findAllTasksByUserIdRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findAllTasksByUserIdResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findAllTasksByUserId/Fault/Exception")})
    @RequestWrapper(localName = "findAllTasksByUserId", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindAllTasksByUserId")
    @ResponseWrapper(localName = "findAllTasksByUserIdResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindAllTasksByUserIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findAllTasksByUserId(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/mergeTaskStatusRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/mergeTaskStatusResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/mergeTaskStatus/Fault/Exception")})
    @RequestWrapper(localName = "mergeTaskStatus", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.MergeTaskStatus")
    @ResponseWrapper(localName = "mergeTaskStatusResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.MergeTaskStatusResponse")
    public void mergeTaskStatus(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id,
        @WebParam(name = "status", targetNamespace = "")
        java.lang.String status
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByStatusRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByStatusResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByStatus/Fault/Exception")})
    @RequestWrapper(localName = "findTasksSortedByStatus", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksSortedByStatus")
    @ResponseWrapper(localName = "findTasksSortedByStatusResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksSortedByStatusResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findTasksSortedByStatus(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeProjectTasksRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeProjectTasksResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeProjectTasks/Fault/Exception")})
    @RequestWrapper(localName = "removeProjectTasks", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.RemoveProjectTasks")
    @ResponseWrapper(localName = "removeProjectTasksResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.RemoveProjectTasksResponse")
    public void removeProjectTasks(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "projectId", targetNamespace = "")
        java.lang.String projectId
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeAllTasksRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeAllTasksResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeAllTasks/Fault/Exception")})
    @RequestWrapper(localName = "removeAllTasks", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.RemoveAllTasks")
    @ResponseWrapper(localName = "removeAllTasksResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.RemoveAllTasksResponse")
    public void removeAllTasks(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeTaskRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeTaskResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeTask/Fault/Exception")})
    @RequestWrapper(localName = "removeTask", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.RemoveTask")
    @ResponseWrapper(localName = "removeTaskResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.RemoveTaskResponse")
    public void removeTask(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByFinishDateRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByFinishDateResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByFinishDate/Fault/Exception")})
    @RequestWrapper(localName = "findTasksSortedByFinishDate", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksSortedByFinishDate")
    @ResponseWrapper(localName = "findTasksSortedByFinishDateResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksSortedByFinishDateResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findTasksSortedByFinishDate(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksBySearchRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksBySearchResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksBySearch/Fault/Exception")})
    @RequestWrapper(localName = "findTasksBySearch", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksBySearch")
    @ResponseWrapper(localName = "findTasksBySearchResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksBySearchResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findTasksBySearch(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "search", targetNamespace = "")
        java.lang.String search
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTaskByIdRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTaskByIdResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTaskById/Fault/Exception")})
    @RequestWrapper(localName = "findTaskById", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTaskById")
    @ResponseWrapper(localName = "findTaskByIdResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTaskByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.kolevatykh.spring.endpoint.TaskDTO findTaskById(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksWithoutProjectRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksWithoutProjectResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksWithoutProject/Fault/Exception")})
    @RequestWrapper(localName = "findTasksWithoutProject", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksWithoutProject")
    @ResponseWrapper(localName = "findTasksWithoutProjectResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksWithoutProjectResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findTasksWithoutProject(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByCteateDateRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByCteateDateResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByCteateDate/Fault/Exception")})
    @RequestWrapper(localName = "findTasksSortedByCteateDate", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksSortedByCteateDate")
    @ResponseWrapper(localName = "findTasksSortedByCteateDateResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksSortedByCteateDateResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findTasksSortedByCteateDate(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksByProjectIdRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksByProjectIdResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksByProjectId/Fault/Exception")})
    @RequestWrapper(localName = "findTasksByProjectId", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksByProjectId")
    @ResponseWrapper(localName = "findTasksByProjectIdResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksByProjectIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findTasksByProjectId(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "projectId", targetNamespace = "")
        java.lang.String projectId
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/persistTaskRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/persistTaskResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/persistTask/Fault/Exception")})
    @RequestWrapper(localName = "persistTask", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.PersistTask")
    @ResponseWrapper(localName = "persistTaskResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.PersistTaskResponse")
    public void persistTask(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "projectId", targetNamespace = "")
        java.lang.String projectId,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name,
        @WebParam(name = "description", targetNamespace = "")
        java.lang.String description,
        @WebParam(name = "startDate", targetNamespace = "")
        java.lang.String startDate,
        @WebParam(name = "finishDate", targetNamespace = "")
        java.lang.String finishDate
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/mergeTaskRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/mergeTaskResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/mergeTask/Fault/Exception")})
    @RequestWrapper(localName = "mergeTask", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.MergeTask")
    @ResponseWrapper(localName = "mergeTaskResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.MergeTaskResponse")
    public void mergeTask(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "projectId", targetNamespace = "")
        java.lang.String projectId,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name,
        @WebParam(name = "description", targetNamespace = "")
        java.lang.String description,
        @WebParam(name = "startDate", targetNamespace = "")
        java.lang.String startDate,
        @WebParam(name = "finishDate", targetNamespace = "")
        java.lang.String finishDate
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/assignToProjectRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/assignToProjectResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/assignToProject/Fault/Exception")})
    @RequestWrapper(localName = "assignToProject", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.AssignToProject")
    @ResponseWrapper(localName = "assignToProjectResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.AssignToProjectResponse")
    public void assignToProject(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id,
        @WebParam(name = "projectId", targetNamespace = "")
        java.lang.String projectId
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByStartDateRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByStartDateResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/findTasksSortedByStartDate/Fault/Exception")})
    @RequestWrapper(localName = "findTasksSortedByStartDate", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksSortedByStartDate")
    @ResponseWrapper(localName = "findTasksSortedByStartDateResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.FindTasksSortedByStartDateResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.TaskDTO> findTasksSortedByStartDate(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeTasksWithProjectIdRequest", output = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeTasksWithProjectIdResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITaskEndpoint/removeTasksWithProjectId/Fault/Exception")})
    @RequestWrapper(localName = "removeTasksWithProjectId", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.RemoveTasksWithProjectId")
    @ResponseWrapper(localName = "removeTasksWithProjectIdResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.RemoveTasksWithProjectIdResponse")
    public void removeTasksWithProjectId(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;
}
